Package org.apache.torque.generator.source.transform

## Class LoadAllSourceFilesTransformer

- java.lang.Object
- - org.apache.torque.generator.source.transform.LoadAllSourceFilesTransformer

- All Implemented Interfaces:
    `SourceTransformer`

      public class LoadAllSourceFilesTransformer
      extends Object
      implements SourceTransformer

  A SourceTransformer which loads all sources which are defined in the current output into the source graph. The sources are added into new created element. If such elements already exists in the defined, generation is skipped (preventing an infinite loop).
  Version:
    $Id: LoadAllSourceFilesTransformer.java 1855923 2019-03-20 16:19:39Z gk $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoadAllSourceFilesTransformer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `String` | `getAddTo()` | Returns the path to the source element to where the new elements are added.
    `String` | `getNewElement()` | Returns the name of the new element(s) into which a loaded source is added / the loaded sources are added.
    `int` | `hashCode()` |
    `boolean` | `isCombineSources()` | Returns whether all sources are be loaded into one new Element.
    `void` | `setAddTo​(String addTo)` | Sets the path to the source element to where the new elements are added.
    `void` | `setCombineSources​(boolean combineSources)` | Sets whether all sources are be loaded into one new Element.
    `void` | `setNewElement​(String newElement)` | Sets the name of the new element(s) into which a loaded source is added / the loaded sources are added.
    `Object` | `transform​(Object rootObject, ControllerState controllerState)` | Loads the additional source into the current source graph.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadAllSourceFilesTransformer

          public LoadAllSourceFilesTransformer()

  - ### Method Detail

    - #### transform

          public Object transform​(Object rootObject,
                                  ControllerState controllerState)
                           throws SourceTransformerException

      Loads the additional source into the current source graph.
      Specified by:
        `transform` in interface `SourceTransformer`
      Parameters:
        `rootObject` - the root of the source graph, not null.
        `controllerState` - the controller state, not null.
      Returns:
        the transformed source root, not null.
      Throws:
        `SourceTransformerException` - if the additional source cannot be loaded or the element to add to does not exist.

    - #### getAddTo

          public String getAddTo()

      Returns the path to the source element to where the new elements are added. This element must already exist.
      Returns:
        the path to the anchor element.

    - #### setAddTo

          public void setAddTo​(String addTo)

      Sets the path to the source element to where the new elements are added. This element must already exist.
      Parameters:
        `addTo` - the path to the anchor element.

    - #### getNewElement

          public String getNewElement()

      Returns the name of the new element(s) into which a loaded source is added / the loaded sources are added.
      Returns:
        the name of the new element.

    - #### setNewElement

          public void setNewElement​(String newElement)

      Sets the name of the new element(s) into which a loaded source is added / the loaded sources are added.
      Parameters:
        `newElement` - the name of the new element.

    - #### isCombineSources

          public boolean isCombineSources()

      Returns whether all sources are be loaded into one new Element. If false, a new element is created for every source.
      Returns:
        whether all sources are be loaded into one new Element.

    - #### setCombineSources

          public void setCombineSources​(boolean combineSources)

      Sets whether all sources are be loaded into one new Element. If false, a new element is created for every source.
      Parameters:
        `combineSources` - whether all sources are be loaded into one new Element.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`